package mappers

import (
	"actatempus_backend/internal/application/services/dto"
	"actatempus_backend/internal/domain/entities"
)

func ToTokenDTO(user entities.User) func(string) dto.TokenResponseDTO {
	return func(token string) dto.TokenResponseDTO {
		return dto.TokenResponseDTO{
			Token:  token,
			UserID: user.ID,
		}
	}
}
